Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class FdkConfiguration

    java.lang.Object
      oracle.ifs.fdk.FdkConfiguration

Direct Known Subclasses:
  FdkConfigurationImpl

    public abstract class FdkConfiguration

extends java.lang.Object

Holder class for configuration properties.

(Unpublished)

Constructor Summary
`protected` | `FdkConfiguration()` Constructor.

Method Summary
`abstract ManagersFactory` | `constructManagersFactory(FdkSession session)` Construct a ManagersFactory for a quest or system session.
`protected void` | `dispose()` Method that needs to be called by the subclass dispose() method.
`java.lang.String` | `getBpelWorklistUrl()` Gets the Bpel Worklist App Url.
`long` | `getDavNullResourceLockExpirationPeriod()` Gets the DAV Null resource Lock timeout period in seconds.
`java.lang.String[]` | `getDavUserAgents()` Returns the User-Agent headers (or parts of) for HTTP clients known to be pure DAV clients.
`java.lang.String[]` | `getFileExtensionsOmittedFromVirusScan()` Returns the list of omitted extensions from virsu scanning.
`static FdkConfiguration` | `getInstance()` Returns the singleton instance of this class.
`java.util.Date` | `getLastAntiVirusDefinitionUpdate()` Returns the Date when the last Virus Scanner definition file update occured.
`java.lang.String` | `getProductVersion()` Gets the product version string.
`protected void` | `initialize(LibrarySession session)` Method that needs to be called by the subclass initizlize() methods.
`protected void` | `initializeStandalone(java.lang.String serviceName, SystemUserCredential sysCred)` Initialize after constructing standalone instance.
`static void` | `initializeStandaloneMode(java.lang.String configClass, java.lang.String serviceName, SystemUserCredential sysCred)` Initializes the instance for standalone mode.
`boolean` | `isDavCopyMoveThroughFolderLinkAllowed()` Returns whether the DavServlet allows Copy and Move on source paths that contain Folder Links.
`boolean` | `isIdmEnabled()` Returns whether IDM is enabled.
`boolean` | `isInitialized()` Returns true if the instance is in an initialized state.
`boolean` | `isVirusScannerEnabled()` Returns whether the Virus Scanner feature is enabled.
`boolean` | `isWorkflowEnabled()` Returns whether the Workflow feature is enabled.
`abstract FdkSession` | `login(FdkCredential cred)` Login and create an FdkSession context.
`abstract java.lang.String` | `lookupItemType(LibraryObject reposObject)` Lookup the FDK type for the specified LibraryObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FdkConfiguration

    protected FdkConfiguration()

  Constructor.

Method Detail

### initializeStandaloneMode

    public static final void initializeStandaloneMode(java.lang.String configClass,
                                                      java.lang.String serviceName,
                                                      SystemUserCredential sysCred)

  Description copied from class: `FdkConfiguration`
  Initializes the instance for standalone mode.

  Parameters:
    `serviceName` - The service name.
    `sysCred` - The System user credential

### getInstance

    public static final FdkConfiguration getInstance()

  Description copied from class: `FdkConfiguration`
  Returns the singleton instance of this class. If the instance doesn't exist, it will return it in an uninitialized state. It needs to be initialized by calling one of the `initialize()` methods.

### initializeStandalone

    protected void initializeStandalone(java.lang.String serviceName,
                                        SystemUserCredential sysCred)

  Description copied from class: `FdkConfiguration`
  Initialize after constructing standalone instance.

  Parameters:
    `serviceName` - the service name
    `sysCred` - the system user credential
  Throws:
    `IfsException` - if operation fails
  (Published)

### isInitialized

    public final boolean isInitialized()

  Description copied from class: `FdkConfiguration`
  Returns true if the instance is in an initialized state.

### login

    public abstract FdkSession login(FdkCredential cred)
                              throws FdkException

  Description copied from class: `FdkConfiguration`
  Login and create an FdkSession context.

  Parameters:
    `cred` - the FdkCredential
  Returns:
    the new FdkSession context
  Throws:
    `FdkException` - if operation fails

### constructManagersFactory

    public abstract ManagersFactory constructManagersFactory(FdkSession session)
                                                      throws FdkException

  Description copied from class: `FdkConfiguration`
  Construct a ManagersFactory for a quest or system session.

  Parameters:
    `session` - the session
  Returns:
    the ManagersFactory that uses this session
  Throws:
    `FdkException` - if operation fails

### lookupItemType

    public abstract java.lang.String lookupItemType(LibraryObject reposObject)

  Description copied from class: `FdkConfiguration`
  Lookup the FDK type for the specified LibraryObject.

  Parameters:
    `reposObject` - the LibraryObject
  Returns:
    the ItemTypeRegistry

### getDavNullResourceLockExpirationPeriod

    public final long getDavNullResourceLockExpirationPeriod()

  Description copied from class: `FdkConfiguration`
  Gets the DAV Null resource Lock timeout period in seconds.

### getDavUserAgents

    public final java.lang.String[] getDavUserAgents()

  Description copied from class: `FdkConfiguration`
  Returns the User-Agent headers (or parts of) for HTTP clients known to be pure DAV clients.

### getBpelWorklistUrl

    public final java.lang.String getBpelWorklistUrl()

  Description copied from class: `FdkConfiguration`
  Gets the Bpel Worklist App Url.

### isIdmEnabled

    public final boolean isIdmEnabled()

  Description copied from class: `FdkConfiguration`
  Returns whether IDM is enabled.

### isVirusScannerEnabled

    public final boolean isVirusScannerEnabled()

  Description copied from class: `FdkConfiguration`
  Returns whether the Virus Scanner feature is enabled.

### getLastAntiVirusDefinitionUpdate

    public final java.util.Date getLastAntiVirusDefinitionUpdate()

  Description copied from class: `FdkConfiguration`
  Returns the Date when the last Virus Scanner definition file update occured.

  (Unpublished)

### getFileExtensionsOmittedFromVirusScan

    public final java.lang.String[] getFileExtensionsOmittedFromVirusScan()

  Description copied from class: `FdkConfiguration`
  Returns the list of omitted extensions from virsu scanning.

### isWorkflowEnabled

    public final boolean isWorkflowEnabled()

  Description copied from class: `FdkConfiguration`
  Returns whether the Workflow feature is enabled.

### getProductVersion

    public final java.lang.String getProductVersion()

  Description copied from class: `FdkConfiguration`
  Gets the product version string.

### isDavCopyMoveThroughFolderLinkAllowed

    public final boolean isDavCopyMoveThroughFolderLinkAllowed()

  Description copied from class: `FdkConfiguration`
  Returns whether the DavServlet allows Copy and Move on source paths that contain Folder Links.

### initialize

    protected void initialize(LibrarySession session)
                       throws IfsException

  Description copied from class: `FdkConfiguration`
  Method that needs to be called by the subclass initizlize() methods.

  Throws:
    `IfsException`

### dispose

    protected void dispose()

  Description copied from class: `FdkConfiguration`
  Method that needs to be called by the subclass dispose() method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD